var { setUpQuery, calculateAverageDynamically, run } = require("../hooks/lib/utils")
;(function () {
    console.log("Running lighthouse job")
    let subPaths = context.db.find("lighthouseSubpath")
    let urls = []
    for (let i = 0; i < subPaths.length; i++) {
        urls.push(setUpQuery(subPaths[i].lighthouseSubpath))
    }
    let dbObjs = []
    urls.forEach((url) => {
        console.log("URL:", url)
        dbObjs.push(run(url))
    })
    let dbObject = calculateAverageDynamically(dbObjs)
    dbObject.analyzedPaths = [...subPaths].map((subPath) => subPath.lighthouseSubpath)
    context.db.create("lighthouse", dbObject)
})()
